-- Data for Adibags - Ren's Filters: Reputation

local addonName, addon = ...

-- Reputation items
addon.rep_consumable = {
  [93730] = true, -- Darkmoon Top Hat
  [129945] = true, -- Commendation of The Consortium
  [129946] = true, -- Commendation of The Sha'tar
  [129947] = true, -- Commendation of Thrallmar
  [129948] = true, -- Commendation of Honor Hold
  [129949] = true, -- Commendation of the Cenarion Expedition
  [129950] = true, -- Commendation of the Keepers of Time
  [129951] = true, -- Commendation of Lower City
  [129940] = true, -- Commendation of the Kirin Tor
  [129941] = true, -- Commendation of the Ebon Blade
  [129942] = true, -- Commendation of the Argent Crusade
  [129943] = true, -- Commendation of the Sons of Hodir
  [129944] = true, -- Commendation of the Wyrmrest Accord
  [129954] = true, -- Commendation of the Horde Expedition
  [129955] = true, -- Commendation of the Alliance Vanguard
  [63517] = true, -- Baradin's Wardens Commendation
  [63518] = true, -- Hellscream's Reach Commendation
  [70145] = true, -- Darnassus Writ of Commendation
  [70146] = true, -- Exodar Writ of Commendation
  [70147] = true, -- Gnomeregan Writ of Commendation
  [70148] = true, -- Ironforge Writ of Commendation
  [70152] = true, -- Stormwind Writ of Commendation
  [71087] = true, -- Gilneas Writ of Commendation
  [70149] = true, -- Orgrimmar Writ of Commendation
  [70150] = true, -- Sen'jin Writ of Commendation
  [70151] = true, -- Silvermoon Writ of Commendation
  [70153] = true, -- Thunder Bluff Writ of Commendation
  [70154] = true, -- Undercity Writ of Commendation
  [71088] = true, -- Bilgewater Writ of Commendation
  [133150] = true, -- Commendation of the Dragonmaw Clan
  [133151] = true, -- Commendation of the Wildhammer Clan
  [133152] = true, -- Commendation of the Guardians of Hyjal
  [133154] = true, -- Commendation of the Ramkahen
  [133159] = true, -- Commendation of The Earthen Ring
  [133160] = true, -- Commendation of Therazane
  [86592] = true, -- Hozen Peace Pipe
  [92522] = true, -- Grand Commendation of the Klaxxi
  [93215] = true, -- Grand Commendation of the Golden Lotus
  [93220] = true, -- Grand Commendation of the Shado-Pan
  [93224] = true, -- Grand Commendation of the August Celestials
  [93225] = true, -- Grand Commendation of the Anglers
  [93226] = true, -- Grand Commendation of the Tillers
  [93229] = true, -- Grand Commendation of the Order of the Cloud Serpent
  [93231] = true, -- Grand Commendation of Operation: Shieldwall
  [93232] = true, -- Grand Commendation of the Dominance Offensive
  [95545] = true, -- Grand Commendation of the Kirin Tor Offensive
  [95548] = true, -- Grand Commendation of the Sunreaver Onslaught
  [143935] = true, -- Commendation of The Klaxxi
  [143936] = true, -- Commendation of the Shado-Pan
  [143937] = true, -- Commendation of the Golden Lotus
  [143938] = true, -- Commendation of The August Celestials
  [143939] = true, -- Commendation of the Sunreaver Onslaught
  [143940] = true, -- Commendation of the Kirin Tor Offensive
  [143941] = true, -- Commendation of The Tillers
  [143942] = true, -- Commendation of the Order of the Cloud Serpent
  [143943] = true, -- Commendation of the Dominance Offensive
  [143944] = true, -- Commendation of Operation: Shieldwall
  [143945] = true, -- Commendation of the Shado-Pan Assault
  [143946] = true, -- Commendation of The Anglers
  [143947] = true, -- Commendation of Emperor Shaohao
  [128315] = true, -- Medallion of the Legion
  [139020] = true, -- Valarjar Insignia
  [139021] = true, -- Dreamweaver Insignia
  [139023] = true, -- Court of Farondis Insignia
  [139024] = true, -- Highmountain Tribe Insignia
  [139025] = true, -- Wardens Insignia
  [139026] = true, -- Nightfallen Insignia
  [140260] = true, -- Arcane Remnant of Falanaar
  [141338] = true, -- Valarjar Insignia
  [141339] = true, -- Dreamweaver Insignia
  [141340] = true, -- Court of Farondis Insignia
  [141341] = true, -- Highmountain Tribe Insignia
  [141342] = true, -- Wardens Insignia
  [141343] = true, -- Nightfallen Insignia
  [141344] = true, -- Tribute of the Broken Isles
  [141870] = true, -- Arcane Tablet of Falanaar
  [141987] = true, -- Greater Valarjar Insignia
  [141988] = true, -- Greater Dreamweaver Insignia
  [141989] = true, -- Greater Court of Farondis Insignia
  [141990] = true, -- Greater Highmountain Tribe Insignia
  [141991] = true, -- Greater Wardens Insignia
  [141992] = true, -- Greater Nightfallen Insignia
  [146935] = true, -- Valarjar Insignia
  [146936] = true, -- Dreamweaver Insignia
  [146937] = true, -- Court of Farondis Insignia
  [146938] = true, -- Highmountain Tribe Insignia
  [146939] = true, -- Wardens Insignia
  [146940] = true, -- Nightfallen Insignia
  [146941] = true, -- Valarjar Insignia
  [146942] = true, -- Dreamweaver Insignia
  [146943] = true, -- Court of Farondis Insignia
  [146944] = true, -- Highmountain Tribe Insignia
  [146945] = true, -- Wardens Insignia
  [146946] = true, -- Nightfallen Insignia
  [146948] = true, -- Tribute of the Broken Isles
  [146949] = true, -- Legionfall Insignia
  [146950] = true, -- Legionfall Insignia
  [147410] = true, -- Greater Court of Farondis Insignia
  [147411] = true, -- Greater Dreamweaver Insignia
  [147412] = true, -- Greater Highmountain Tribe Insignia
  [147413] = true, -- Greater Nightfallen Insignia
  [147414] = true, -- Greater Valarjar Insignia
  [147415] = true, -- Greater Wardens Insignia
  [147416] = true, -- Arcane Tablet of Falanaar
  [147418] = true, -- Arcane Remnant of Falanaar
  [147727] = true, -- Greater Legionfall Insignia
  [150924] = true, -- Greater Tribute of the Broken Isles
  [150925] = true, -- Greater Valarjar Insignia
  [150926] = true, -- Greater Dreamweaver Insignia
  [150927] = true, -- Greater Court of Farondis Insignia
  [150928] = true, -- Greater Highmountain Tribe Insignia
  [150929] = true, -- Greater Wardens Insignia
  [150930] = true, -- Greater Nightfallen Insignia
  [152464] = true, -- Greater Legionfall Insignia
  [152954] = true, -- Greater Argussian Reach Insignia
  [152955] = true, -- Greater Army of the Light Insignia
  [152956] = true, -- Greater Army of the Light Insignia
  [152957] = true, -- Army of the Light Insignia
  [152958] = true, -- Army of the Light Insignia
  [152959] = true, -- Argussian Reach Insignia
  [152960] = true, -- Argussian Reach Insignia
  [152961] = true, -- Greater Argussian Reach Insignia
  [153113] = true, -- Demon's Soulstone
  [174502] = true, -- Tear of Azeroth
  [174503] = true, -- Exotically Spiced Carrot
  [174504] = true, -- Proudmoore War Copper
  [174505] = true, -- Tide-Speaker's Tome
  [174506] = true, -- Golden Insect Wings
  [174507] = true, -- Fallen Soldier's Insignia
  [174508] = true, -- Fallen Soldier's Insignia
}

-- Quest turn-in items
addon.rep_quest = {
  [16885] = true, -- Heavy Junkbox
  [21377] = true, -- Deadwood Headdress Feather
  [21383] = true, -- Winterfall Spirit Beads
  [29425] = true, -- Mark of Kil'jaeden
  [29426] = true, -- Firewing Signet
  [29739] = true, -- Arcane Tome
  [29740] = true, -- Fel Armament
  [30809] = true, -- Mark of Sargeras
  [30810] = true, -- Sunfury Signet
  [42780] = true, -- Relic of Ulduar
  -- Tiller gifts (5)
  [79264] = true, -- Ruby Shard
  [79265] = true, -- Blue Feather
  [79266] = true, -- Jade Cat
  [79267] = true, -- Lovely Apple
  [79268] = true, -- Marsh Lily
  [104286] = true, -- Quivering Firestorm Egg
  -- Steamwheedle Preservation Society turn-ins
  [118099] = true, -- Gorian Artifact Fragment
  [118100] = true, -- Highmaul Relic
  [118654] = true, -- Aogexon's Fang
  [118655] = true, -- Bergruu's Horn
  [118656] = true, -- Dekorhan's Tusk
  [118657] = true, -- Direhoof's Hide
  [118658] = true, -- Gagrog's Skull
  [118659] = true, -- Mu'gra's Head
  [118660] = true, -- Thek'talon's Talon
  [118661] = true, -- Xelganak's Stinger
  [120172] = true, -- Vileclaw's Claw
  [163217] = true, -- Azeroth's Tear
  [163614] = true, -- Exotic Spices
  [163615] = true, -- Lost Sea Scroll
  [163616] = true, -- Dented Coin
  [163617] = true, -- Rusted Alliance Insignia
  [163618] = true, -- Shimmering Shell
  [163619] = true, -- Golden Beetle
  [163620] = true, -- Island Flotsam
  [166501] = true, -- Soggy Page
}

-- Guild banners
addon.rep_banners = {
  [63359] = true, -- Banner of Cooperation (Alliance)
  [64398] = true, -- Standard of Unity (Alliance)
  [64399] = true, -- Battle Standard of Coordination (Alliance)
  [64400] = true, -- Banner of Cooperation (Horde)
  [64401] = true, -- Standard of Unity (Horde)
  [64402] = true, -- Battle Standard of Coordination (Horde)
}

-- Tabards
addon.rep_tabards = {
  [43154] = true, -- Tabard of the Argent Crusade
  [43155] = true, -- Tabard of the Ebon Blade
  [43156] = true, -- Tabard of the Wyrmrest Accord
  [43157] = true, -- Tabard of the Kirin Tor
  [45574] = true, -- Stormwind Tabard
  [45577] = true, -- Ironforge Tabard
  [45578] = true, -- Gnomeregan Tabard
  [45579] = true, -- Darnassus Tabard
  [45580] = true, -- Exodar Tabard
  [45581] = true, -- Orgrimmar Tabard
  [45582] = true, -- Darkspear Tabard
  [45583] = true, -- Undercity Tabard
  [45584] = true, -- Thunder Bluff Tabard
  [45585] = true, -- Silvermoon City Tabard
  [64882] = true, -- Gilneas Tabard
  [64884] = true, -- Bilgewater Cartel Tabard
  [65904] = true, -- Tabard of Ramkahen
  [65905] = true, -- Tabard of the Earthen Ring
  [65906] = true, -- Tabard of the Guardians of Hyjal
  [65907] = true, -- Tabard of Therazane
  [65908] = true, -- Tabard of the Wildhammer Clan
  [69209] = true, -- Illustrious Guild Tabard
  [69210] = true, -- Renowned Guild Tabard
  [83079] = true, -- Tushui Tabard
  [83080] = true, -- Huojin Tabard
}

-- Contracts
addon.rep_contracts = {
  [153661] = true, -- Contract: Proudmoore Admiralty
  [153662] = true, -- Contract: Order of Embers
  [153663] = true, -- Contract: Storm's Wake
  [153664] = true, -- Contract: Zandalari Empire
  [153665] = true, -- Contract: Talanji's Expedition
  [153666] = true, -- Contract: Voldunai
  [153667] = true, -- Contract: Tortollan Seekers
  [153668] = true, -- Contract: Champions of Azeroth
  [165016] = true, -- Contract: 7th Legion
  [165017] = true, -- Contract: The Honorbound
  [172008] = true, -- Contract: Rajani
  [172010] = true, -- Contract: Uldum Accord
}